/* FONTS */

/* Bowlby One SC & Teko */
@import url('https://fonts.googleapis.com/css2?family=Bowlby+One+SC&family=Teko:wght@400;500;600;700&display=swap');

/*setting fonts*/
.title, .copyright, .navigation{
	font-family:'Bowlby One SC', sans-serif;
}

.about, p {
	font-family: 'Teko', sans-serif;
	font-weight: bold;
}

:root {
	--bg-color: black;
	--btn-txt-color: black;
	--txt-color-a: white;
}

@media (min-width: 840px) {
	body {
		align-items: center;
	}

	section.contact {
		width: 100%;
		max-width: 600px;
	}
}


@media(min-width: 645px) {
	.hero {
		font-size: large;
	}

	.navigation {
		position: static !important;
		margin: 0 !important;
		justify-content: right !important;
		align-items: center !important;
		text-transform: capitalize;
	}

	.navigation ul {
		padding-right: 1rem !important;
		flex-direction: row !important;
	}

	.menu-btn {
		display: none !important;
	}
}

@media (max-width: 645px) {
	.navigation {
			margin-top: -5rem !important;
	}

	header img.logo {
		width: 35px !important;
		z-index: 9999 !important;
	}

	.menu-btn {
		z-index: 9999 !important;
	}

}

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	color: var(--txt-color-a);
}

html, body {
	width: 100%;
	height: 100%;
	background-color: var(--bg-color);
}


body {
	display: flex;
	flex-direction: column;
	gap: 1.5rem;
	margin-top: 5rem;
}

header {
	display: flex;
	width: 100%;
	justify-content: space-between;
	position: fixed;
	top: 0;
	background-color: var(--bg-color);
}

header img.logo {
	margin: 8px;
	width: 50px;
	height: auto;
}


.navigation.toggle {
	padding: 1.5rem 0;
	margin-top: 3rem !important;
}

.menu-btn {
	margin: 8px;
	user-select: none;
	font-size: xx-large;
}

.close-icon {
	display: none;
}

.close-icon.show {
	display: block !important;
}

.show {
	display: none !important;
}

.navigation {
	transition: 150ms cubic-bezier(.79,.14,.15,.86);
	display: flex;
	position: absolute;
	width: 100%;
	margin-top: 5rem;
	justify-content: center;
	font-weight: bold;
	background-color: black;
}

header .navigation ul {
	display: flex;
	list-style: none;
	flex-direction: column;
	gap: 1rem;
}

p.about {
	max-width: 600px;
}

.about img {
	width: 100%;
	height: 300px;
	object-fit: cover;
	object-position: top center;
	margin: 1.3rem 0;
}

section.about .title, section.contact .title {
	margin: 1rem 0;
}

section {
	margin: 0 1rem;
}

section.contact .contacts {
	margin-top: 1rem;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

footer {
	display: flex;
	justify-content: center;
}

footer .copyright {
	text-align: center;
	padding: 1rem 0;
}